//
//
//
//
//
//
//
//
//
//
#include <windows.h> 
#include <commdlg.h> 
#include "resource.h"



extern HINSTANCE	hInst;	
extern POINT		DialogScreenPosition;
extern RECT			DialogRect;




extern char	BuildName[MAX_PATH];
extern char RootDirectory[MAX_PATH];



//
// Routines
//
BOOL APIENTRY InstancePage( HWND hDlg, UINT message, UINT wParam, LONG lParam);
BOOL APIENTRY VideoPage( HWND hDlg, UINT message, UINT wParam, LONG lParam);
BOOL APIENTRY DataPage( HWND hDlg, UINT message, UINT wParam, LONG lParam);
BOOL APIENTRY BuildPage( HWND hDlg, UINT message, UINT wParam, LONG lParam);


//
// File handling
//
typedef struct
{
	char*	Buffer;				// Pointer to memory containing file
	int		Length;				// Length of file
	char*	Section;			// Offset to current section
	char*	Offset;				// Offset to current line
} INIFILE;


INIFILE FileOpen( char* FileName );
void FileClose( INIFILE &File );
char* FindNext( INIFILE &File, char* Section, char* string );
bool FileExists( char* FileName );


